Subject: bug#36698: closed (Re: bug#36698: shepherd: list-actions not implemented)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 Mar 2020 22:35:02 +0000

Your bug report

#36698: shepherd: list-actions not implemented

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36698: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36698
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36698: shepherd: list-actions not implemented
From: Leo Famulari <[email-masked]>
To: Brice Waegeneire <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Mar 2020 18:34:00 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Mar 31, 2020 at 04:09:19PM -0400, Leo Famulari wrote:
> Here is a patch to fix a small typo in that commit.

> From 2b4785716abf2655d5be35679d5e2dfed62d27d7 Mon Sep 17 00:00:00 2001
> From: Leo Famulari <[email-masked]>
> Date: Tue, 31 Mar 2020 16:07:46 -0400
> Subject: [PATCH] doc: Fix typo in Jump start.
> 
> * doc/shepherd.texi (Jump start): Fix typo in documentation of special action
> 'doc'.

Pushed as e9f3560414ed9c6ee9afe3a9ab85fd8e114f97cb

Subject: shepherd: list-actions not implemented
From: Jesse Gibbons <[email-masked]>
To: [email-masked]
Date: Tue, 16 Jul 2019 15:26:11 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

I am curious about what actions are implemented in the system services
on my GuixSD install. I try something like the following for the
different system services and get an error:

jesse@piranhaplant ~$ sudo herd list-actions term-tty6
Password:
herd: service 'term-tty6' does not have an action 'list-actions'

Based on what the manual says[1], the 'list-actions' action should be a
special action of every service, so I would expect it to at least either
list the default actions status, start, stop, enable, disable, etc. or
display a message that there are no custom actions defined for the
named service.

Surprisingly I could not find anything related to this in the archives.

[1] https://www.gnu.org/software/shepherd/manual/html_node/Jump-Start.html